Bug 608982 - The default NIC device IDs are duplicate when boot guest with multiple NIC devices [NEEDINFO]
The default NIC device IDs are duplicate when boot guest with multiple NIC de...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jes Sorensen
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 01:47 EDT by Qunfang Zhang
Modified: 2013-01-09 17:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 06:25:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amit.shah: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Qunfang Zhang 2010-06-29 01:47:43 EDT
Description of problem:
Boot a guest with two virtio NIC(or two rtl8139 NIC), in the command line do not add network device id. Then issue "info network" in qemu monitor, there will be two "virtio-net-pci.0" or "rtl8139.0". On RHEL5 host, this issue does not exist, the default id will increase to "rtl8139.1" and "rtl8139.2".

Command line:
/usr/libexec/qemu-kvm -m 2G -smp 2 -cpu qemu64,+x2apic -usbdevice tablet -drive file=win7-32/Win7X86BLKUpdated.qcow2,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=76:00:40:3F:20:1E,bus=pci.0,addr=0x4 -netdev tap,id=hostnet1,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet1,mac=76:00:3D:3F:20:2E,bus=pci.0,addr=0x5 -netdev tap,id=hostnet2,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet2,mac=76:00:40:3F:2F:3E,bus=pci.0,addr=0x6 -netdev tap,id=hostnet3,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet3,mac=76:00:40:3F:21:30,bus=pci.0,addr=0x7  -boot c -uuid f1b7c27c-e6e3-4e67-95da-8dd0a8891cc4 -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -name win7x86NIC1 -vnc :10


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.82.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot a guest with two virtio nic or rtl8139 without device id ("id=net0" and "id=net1" for example)
2.(qemu)info network
3.
  
Actual results:
There will be two virito-net-pci.0 and two rtl8139.0 as default values, and if I want to using some command for example: device_del or set_line, need to add device id, it is not convenient.

(qemu) info network 
Devices not on any VLAN:
  hostnet0: ifname=tap1,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown peer=virtio-net-pci.0
  hostnet1: ifname=tap2,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown peer=virtio-net-pci.0
  hostnet2: ifname=tap3,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown peer=rtl8139.0
  hostnet3: ifname=tap4,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown peer=rtl8139.0
  virtio-net-pci.0: model=virtio-net-pci,macaddr=76:00:40:3f:20:1e peer=hostnet0
  virtio-net-pci.0: model=virtio-net-pci,macaddr=76:00:3d:3f:20:2e peer=hostnet1
  rtl8139.0: model=rtl8139,macaddr=76:00:40:3f:2f:3e peer=hostnet2
  rtl8139.0: model=rtl8139,macaddr=76:00:40:3f:21:30 peer=hostnet3


Expected results:
Default id should be: virtio-net-pci.0 and virtio-net-pci1, rtl8139.0 and rtl8139.1

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-29 02:02:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Amit Shah 2010-07-19 06:25:34 EDT
The 'info network' output shows the type of the device (virtio-net-pci or rtl8139) followed by the vlan id it's attached to (.0, .1, etc.). qemu vlans are going to be deprecated soon and we don't use them in our code. Both the devices showing '.0' should be fine and shouldn't result in any functional problems.

This output should go away once the vlans are removed entirely from the code.

Marking this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.